| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::ChannelFactory Class Reference
Utililty classes

The ChannelFactory class is responsible for constructing Channel objects according to application-defined settings. More...

`#include <TelepathyQt/ChannelFactory>`

Inheritance diagram for Tp::ChannelFactory:
[legend]

## Public Member Functions

virtual | ~ChannelFactory ()
Features | featuresForTextChats (const QVariantMap &additionalProps=QVariantMap()) const
void | addFeaturesForTextChats (const Features &features, const QVariantMap &additionalProps=QVariantMap())
ConstructorConstPtr | constructorForTextChats (const QVariantMap &additionalProps=QVariantMap()) const
template<typename Subclass >
void | setSubclassForTextChats (const QVariantMap &additionalProps=QVariantMap())
void | setConstructorForTextChats (const ConstructorConstPtr &ctor, const QVariantMap &additionalProps=QVariantMap())
Features | featuresForTextChatrooms (const QVariantMap &additionalProps=QVariantMap()) const
void | addFeaturesForTextChatrooms (const Features &features, const QVariantMap &additionalProps=QVariantMap())
ConstructorConstPtr | constructorForTextChatrooms (const QVariantMap &additionalProps=QVariantMap()) const
template<typename Subclass >
void | setSubclassForTextChatrooms (const QVariantMap &additionalProps=QVariantMap())
void | setConstructorForTextChatrooms (const ConstructorConstPtr &ctor, const QVariantMap &additionalProps=QVariantMap())
Features | featuresForCalls (const QVariantMap &additionalProps=QVariantMap()) const
void | addFeaturesForCalls (const Features &features, const QVariantMap &additionalProps=QVariantMap())
template<typename Subclass >
void | setSubclassForCalls (const QVariantMap &additionalProps=QVariantMap())
void | setConstructorForCalls (const ConstructorConstPtr &ctor, const QVariantMap &additionalProps=QVariantMap())
Features | featuresForStreamedMediaCalls (const QVariantMap &additionalProps=QVariantMap()) const
void | addFeaturesForStreamedMediaCalls (const Features &features, const QVariantMap &additionalProps=QVariantMap())
ConstructorConstPtr | constructorForStreamedMediaCalls (const QVariantMap &additionalProps=QVariantMap()) const
template<typename Subclass >
void | setSubclassForStreamedMediaCalls (const QVariantMap &additionalProps=QVariantMap())
void | setConstructorForStreamedMediaCalls (const ConstructorConstPtr &ctor, const QVariantMap &additionalProps=QVariantMap())
Features | featuresForRoomLists (const QVariantMap &additionalProps=QVariantMap()) const
void | addFeaturesForRoomLists (const Features &features, const QVariantMap &additionalProps=QVariantMap())
ConstructorConstPtr | constructorForRoomLists (const QVariantMap &additionalProps=QVariantMap()) const
template<typename Subclass >
void | setSubclassForRoomLists (const QVariantMap &additionalProps=QVariantMap())
void | setConstructorForRoomLists (const ConstructorConstPtr &ctor, const QVariantMap &additionalProps=QVariantMap())
Features | featuresForOutgoingFileTransfers (const QVariantMap &additionalProps=QVariantMap()) const
void | addFeaturesForOutgoingFileTransfers (const Features &features, const QVariantMap &additionalProps=QVariantMap())
ConstructorConstPtr | constructorForOutgoingFileTransfers (const QVariantMap &additionalProps=QVariantMap()) const
template<typename Subclass >
void | setSubclassForOutgoingFileTransfers (const QVariantMap &additionalProps=QVariantMap())
void | setConstructorForOutgoingFileTransfers (const ConstructorConstPtr &ctor, const QVariantMap &additionalProps=QVariantMap())
Features | featuresForIncomingFileTransfers (const QVariantMap &additionalProps=QVariantMap()) const
void | addFeaturesForIncomingFileTransfers (const Features &features, const QVariantMap &additionalProps=QVariantMap())
ConstructorConstPtr | constructorForIncomingFileTransfers (const QVariantMap &additionalProps=QVariantMap()) const
template<typename Subclass >
void | setSubclassForIncomingFileTransfers (const QVariantMap &additionalProps=QVariantMap())
void | setConstructorForIncomingFileTransfers (const ConstructorConstPtr &ctor, const QVariantMap &additionalProps=QVariantMap())
Features | featuresForOutgoingStreamTubes (const QVariantMap &additionalProps=QVariantMap()) const
void | addFeaturesForOutgoingStreamTubes (const Features &features, const QVariantMap &additionalProps=QVariantMap())
ConstructorConstPtr | constructorForOutgoingStreamTubes (const QVariantMap &additionalProps=QVariantMap()) const
template<typename Subclass >
void | setSubclassForOutgoingStreamTubes (const QVariantMap &additionalProps=QVariantMap())
void | setConstructorForOutgoingStreamTubes (const ConstructorConstPtr &ctor, const QVariantMap &additionalProps=QVariantMap())
Features | featuresForIncomingStreamTubes (const QVariantMap &additionalProps=QVariantMap()) const
void | addFeaturesForIncomingStreamTubes (const Features &features, const QVariantMap &additionalProps=QVariantMap())
ConstructorConstPtr | constructorForIncomingStreamTubes (const QVariantMap &additionalProps=QVariantMap()) const
template<typename Subclass >
void | setSubclassForIncomingStreamTubes (const QVariantMap &additionalProps=QVariantMap())
void | setConstructorForIncomingStreamTubes (const ConstructorConstPtr &ctor, const QVariantMap &additionalProps=QVariantMap())
Features | featuresForOutgoingRoomStreamTubes (const QVariantMap &additionalProps=QVariantMap()) const
void | addFeaturesForOutgoingRoomStreamTubes (const Features &features, const QVariantMap &additionalProps=QVariantMap())
ConstructorConstPtr | constructorForOutgoingRoomStreamTubes (const QVariantMap &additionalProps=QVariantMap()) const
template<typename Subclass >
void | setSubclassForOutgoingRoomStreamTubes (const QVariantMap &additionalProps=QVariantMap())
void | setConstructorForOutgoingRoomStreamTubes (const ConstructorConstPtr &ctor, const QVariantMap &additionalProps=QVariantMap())
Features | featuresForIncomingRoomStreamTubes (const QVariantMap &additionalProps=QVariantMap()) const
void | addFeaturesForIncomingRoomStreamTubes (const Features &features, const QVariantMap &additionalProps=QVariantMap())
ConstructorConstPtr | constructorForIncomingRoomStreamTubes (const QVariantMap &additionalProps=QVariantMap()) const
template<typename Subclass >
void | setSubclassForIncomingRoomStreamTubes (const QVariantMap &additionalProps=QVariantMap())
void | setConstructorForIncomingRoomStreamTubes (const ConstructorConstPtr &ctor, const QVariantMap &additionalProps=QVariantMap())
Features | featuresForOutgoingDBusTubes (const QVariantMap &additionalProps=QVariantMap()) const
void | addFeaturesForOutgoingDBusTubes (const Features &features, const QVariantMap &additionalProps=QVariantMap())
ConstructorConstPtr | constructorForOutgoingDBusTubes (const QVariantMap &additionalProps=QVariantMap()) const
template<typename Subclass >
void | setSubclassForOutgoingDBusTubes (const QVariantMap &additionalProps=QVariantMap())
void | setConstructorForOutgoingDBusTubes (const ConstructorConstPtr &ctor, const QVariantMap &additionalProps=QVariantMap())
Features | featuresForIncomingDBusTubes (const QVariantMap &additionalProps=QVariantMap()) const
void | addFeaturesForIncomingDBusTubes (const Features &features, const QVariantMap &additionalProps=QVariantMap())
ConstructorConstPtr | constructorForIncomingDBusTubes (const QVariantMap &additionalProps=QVariantMap()) const
template<typename Subclass >
void | setSubclassForIncomingDBusTubes (const QVariantMap &additionalProps=QVariantMap())
void | setConstructorForIncomingDBusTubes (const ConstructorConstPtr &ctor, const QVariantMap &additionalProps=QVariantMap())
Features | featuresForOutgoingRoomDBusTubes (const QVariantMap &additionalProps=QVariantMap()) const
void | addFeaturesForOutgoingRoomDBusTubes (const Features &features, const QVariantMap &additionalProps=QVariantMap())
ConstructorConstPtr | constructorForOutgoingRoomDBusTubes (const QVariantMap &additionalProps=QVariantMap()) const
template<typename Subclass >
void | setSubclassForOutgoingRoomDBusTubes (const QVariantMap &additionalProps=QVariantMap())
void | setConstructorForOutgoingRoomDBusTubes (const ConstructorConstPtr &ctor, const QVariantMap &additionalProps=QVariantMap())
Features | featuresForIncomingRoomDBusTubes (const QVariantMap &additionalProps=QVariantMap()) const
void | addFeaturesForIncomingRoomDBusTubes (const Features &features, const QVariantMap &additionalProps=QVariantMap())
ConstructorConstPtr | constructorForIncomingRoomDBusTubes (const QVariantMap &additionalProps=QVariantMap()) const
template<typename Subclass >
void | setSubclassForIncomingRoomDBusTubes (const QVariantMap &additionalProps=QVariantMap())
void | setConstructorForIncomingRoomDBusTubes (const ConstructorConstPtr &ctor, const QVariantMap &additionalProps=QVariantMap())
Features | featuresForContactSearches (const QVariantMap &additionalProps=QVariantMap()) const
void | addFeaturesForContactSearches (const Features &features, const QVariantMap &additionalProps=QVariantMap())
ConstructorConstPtr | constructorForContactSearches (const QVariantMap &additionalProps=QVariantMap()) const
template<typename Subclass >
void | setSubclassForContactSearches (const QVariantMap &additionalProps=QVariantMap())
void | setConstructorForContactSearches (const ConstructorConstPtr &ctor, const QVariantMap &additionalProps=QVariantMap())
Features | featuresForServerAuthentication (const QVariantMap &additionalProps=QVariantMap()) const
void | addFeaturesForServerAuthentication (const Features &features, const QVariantMap &additionalProps=QVariantMap())
ConstructorConstPtr | constructorForServerAuthentication (const QVariantMap &additionalProps=QVariantMap()) const
template<typename Subclass >
void | setSubclassForServerAuthentication (const QVariantMap &additionalProps=QVariantMap())
void | setConstructorForServerAuthentication (const ConstructorConstPtr &ctor, const QVariantMap &additionalProps=QVariantMap())
Features | commonFeatures () const
void | addCommonFeatures (const Features &features)
ConstructorConstPtr | fallbackConstructor () const
template<typename Subclass >
void | setFallbackSubclass ()
void | setFallbackConstructor (const ConstructorConstPtr &ctor)
Features | featuresFor (const ChannelClassSpec &channelClass) const
void | addFeaturesFor (const ChannelClassSpec &channelClass, const Features &features)
template<typename Subclass >
void | setSubclassFor (const ChannelClassSpec &channelClass)
ConstructorConstPtr | constructorFor (const ChannelClassSpec &channelClass) const
void | setConstructorFor (const ChannelClassSpec &channelClass, const ConstructorConstPtr &ctor)
PendingReady * | proxy (const ConnectionPtr &connection, const QString &channelPath, const QVariantMap &immutableProperties) const
Public Member Functions inherited from Tp::DBusProxyFactory
virtual | ~DBusProxyFactory ()
const QDBusConnection & | dbusConnection () const
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
virtual const QMetaObject * | metaObject () const
QString | objectName () const
void | setObjectName (const QString &name)
bool | isWidgetType () const
bool | signalsBlocked () const
bool | blockSignals (bool block)
QThread * | thread () const
void | moveToThread (QThread *targetThread)
int | startTimer (int interval)
void | killTimer (int id)
T | findChild (const QString &name) const
QList< T > | findChildren (const QString &name) const
QList< T > | findChildren (const QRegExp &regExp) const
QObject * | child (const char *objName, const char *inheritsClass, bool recursiveSearch) const
const QObjectList & | children () const
void | setParent (QObject *parent)
void | installEventFilter (QObject *filterObj)
void | removeEventFilter (QObject *obj)
bool | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const
bool | disconnect (const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *receiver, const char *method)
void | dumpObjectTree ()
void | dumpObjectInfo ()
bool | setProperty (const char *name, const QVariant &value)
QVariant | property (const char *name) const
QList< QByteArray > | dynamicPropertyNames () const
void | destroyed (QObject *obj)
QObject * | parent () const
bool | inherits (const char *className) const
void | deleteLater ()
| QObject (QObject *parent, const char *name)
void | insertChild (QObject *object)
void | removeChild (QObject *object)
bool | isA (const char *className) const
const char * | className () const
const char * | name () const
const char * | name (const char *defaultName) const
void | setName (const char *name)
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions

static ChannelFactoryPtr | create (const QDBusConnection &bus)
Static Public Member Functions inherited from QObject
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
bool | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
bool | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)

## Protected Member Functions

| ChannelFactory (const QDBusConnection &bus)
virtual QString | finalBusNameFrom (const QString &uniqueOrWellKnown) const
virtual Features | featuresFor (const DBusProxyPtr &proxy) const
Protected Member Functions inherited from Tp::DBusProxyFactory
| DBusProxyFactory (const QDBusConnection &bus)
DBusProxyPtr | cachedProxy (const QString &busName, const QString &objectPath) const
PendingReady * | nowHaveProxy (const DBusProxyPtr &proxy) const
virtual PendingOperation * | initialPrepare (const DBusProxyPtr &proxy) const
virtual PendingOperation * | readyPrepare (const DBusProxyPtr &proxy) const
Protected Member Functions inherited from QObject
QObject * | sender () const
int | senderSignalIndex () const
int | receivers (const char *signal) const
virtual void | timerEvent (QTimerEvent *event)
virtual void | childEvent (QChildEvent *event)
virtual void | customEvent (QEvent *event)
virtual void | connectNotify (const char *signal)
virtual void | disconnectNotify (const char *signal)
bool | checkConnectArgs (const char *signal, const QObject *object, const char *method)

## Additional Inherited Members

Static Protected Member Functions inherited from QObject
QByteArray | normalizeSignalSlot (const char *signalSlot)
Properties inherited from QObject
| objectName

## Detailed Description

The ChannelFactory class is responsible for constructing Channel objects according to application-defined settings.

## Constructor & Destructor Documentation

Tp::ChannelFactory::~ChannelFactory | ( |  | ) |

virtual

Class destructor.

Tp::ChannelFactory::ChannelFactory | ( | const QDBusConnection & | bus | ) |

protected

Construct a new ChannelFactory object.

The constructed factory will construct channel subclasses provided by TelepathyQt as appropriate for the channel immutable properties, but not make any features ready.

Parameters

  bus | The QDBusConnection the proxies constructed using this factory should use.

## Member Function Documentation

ChannelFactoryPtr Tp::ChannelFactory::create | ( | const QDBusConnection & | bus | ) |

static

Create a new ChannelFactory object.

The returned factory will construct channel subclasses provided by TelepathyQt as appropriate for the channel immutable properties, but not make any features ready.

Parameters

  bus | The QDBusConnection the proxies constructed using this factory should use.

Returns
  An ChannelFactoryPtr pointing to the newly created factory.

Features Tp::ChannelFactory::featuresForTextChats | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) | const

void Tp::ChannelFactory::addFeaturesForTextChats | ( | const Features & | features,
|  | const QVariantMap & | additionalProps = `QVariantMap()`
| ) |  |

ChannelFactory::ConstructorConstPtr Tp::ChannelFactory::constructorForTextChats | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) | const

template<typename Subclass >

void Tp::ChannelFactory::setSubclassForTextChats | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) |

inline

void Tp::ChannelFactory::setConstructorForTextChats | ( | const ConstructorConstPtr & | ctor,
|  | const QVariantMap & | additionalProps = `QVariantMap()`
| ) |  |

Features Tp::ChannelFactory::featuresForTextChatrooms | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) | const

void Tp::ChannelFactory::addFeaturesForTextChatrooms | ( | const Features & | features,
|  | const QVariantMap & | additionalProps = `QVariantMap()`
| ) |  |

ChannelFactory::ConstructorConstPtr Tp::ChannelFactory::constructorForTextChatrooms | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) | const

template<typename Subclass >

void Tp::ChannelFactory::setSubclassForTextChatrooms | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) |

inline

void Tp::ChannelFactory::setConstructorForTextChatrooms | ( | const ConstructorConstPtr & | ctor,
|  | const QVariantMap & | additionalProps = `QVariantMap()`
| ) |  |

Features Tp::ChannelFactory::featuresForCalls | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) | const

void Tp::ChannelFactory::addFeaturesForCalls | ( | const Features & | features,
|  | const QVariantMap & | additionalProps = `QVariantMap()`
| ) |  |

template<typename Subclass >

void Tp::ChannelFactory::setSubclassForCalls | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) |

inline

void Tp::ChannelFactory::setConstructorForCalls | ( | const ConstructorConstPtr & | ctor,
|  | const QVariantMap & | additionalProps = `QVariantMap()`
| ) |  |

Features Tp::ChannelFactory::featuresForStreamedMediaCalls | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) | const

void Tp::ChannelFactory::addFeaturesForStreamedMediaCalls | ( | const Features & | features,
|  | const QVariantMap & | additionalProps = `QVariantMap()`
| ) |  |

ChannelFactory::ConstructorConstPtr Tp::ChannelFactory::constructorForStreamedMediaCalls | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) | const

template<typename Subclass >

void Tp::ChannelFactory::setSubclassForStreamedMediaCalls | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) |

inline

void Tp::ChannelFactory::setConstructorForStreamedMediaCalls | ( | const ConstructorConstPtr & | ctor,
|  | const QVariantMap & | additionalProps = `QVariantMap()`
| ) |  |

Features Tp::ChannelFactory::featuresForRoomLists | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) | const

void Tp::ChannelFactory::addFeaturesForRoomLists | ( | const Features & | features,
|  | const QVariantMap & | additionalProps = `QVariantMap()`
| ) |  |

ChannelFactory::ConstructorConstPtr Tp::ChannelFactory::constructorForRoomLists | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) | const

template<typename Subclass >

void Tp::ChannelFactory::setSubclassForRoomLists | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) |

inline

void Tp::ChannelFactory::setConstructorForRoomLists | ( | const ConstructorConstPtr & | ctor,
|  | const QVariantMap & | additionalProps = `QVariantMap()`
| ) |  |

Features Tp::ChannelFactory::featuresForOutgoingFileTransfers | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) | const

void Tp::ChannelFactory::addFeaturesForOutgoingFileTransfers | ( | const Features & | features,
|  | const QVariantMap & | additionalProps = `QVariantMap()`
| ) |  |

ChannelFactory::ConstructorConstPtr Tp::ChannelFactory::constructorForOutgoingFileTransfers | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) | const

template<typename Subclass >

void Tp::ChannelFactory::setSubclassForOutgoingFileTransfers | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) |

inline

void Tp::ChannelFactory::setConstructorForOutgoingFileTransfers | ( | const ConstructorConstPtr & | ctor,
|  | const QVariantMap & | additionalProps = `QVariantMap()`
| ) |  |

Features Tp::ChannelFactory::featuresForIncomingFileTransfers | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) | const

void Tp::ChannelFactory::addFeaturesForIncomingFileTransfers | ( | const Features & | features,
|  | const QVariantMap & | additionalProps = `QVariantMap()`
| ) |  |

ChannelFactory::ConstructorConstPtr Tp::ChannelFactory::constructorForIncomingFileTransfers | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) | const

template<typename Subclass >

void Tp::ChannelFactory::setSubclassForIncomingFileTransfers | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) |

inline

void Tp::ChannelFactory::setConstructorForIncomingFileTransfers | ( | const ConstructorConstPtr & | ctor,
|  | const QVariantMap & | additionalProps = `QVariantMap()`
| ) |  |

Features Tp::ChannelFactory::featuresForOutgoingStreamTubes | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) | const

void Tp::ChannelFactory::addFeaturesForOutgoingStreamTubes | ( | const Features & | features,
|  | const QVariantMap & | additionalProps = `QVariantMap()`
| ) |  |

ChannelFactory::ConstructorConstPtr Tp::ChannelFactory::constructorForOutgoingStreamTubes | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) | const

template<typename Subclass >

void Tp::ChannelFactory::setSubclassForOutgoingStreamTubes | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) |

inline

void Tp::ChannelFactory::setConstructorForOutgoingStreamTubes | ( | const ConstructorConstPtr & | ctor,
|  | const QVariantMap & | additionalProps = `QVariantMap()`
| ) |  |

Features Tp::ChannelFactory::featuresForIncomingStreamTubes | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) | const

void Tp::ChannelFactory::addFeaturesForIncomingStreamTubes | ( | const Features & | features,
|  | const QVariantMap & | additionalProps = `QVariantMap()`
| ) |  |

ChannelFactory::ConstructorConstPtr Tp::ChannelFactory::constructorForIncomingStreamTubes | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) | const

template<typename Subclass >

void Tp::ChannelFactory::setSubclassForIncomingStreamTubes | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) |

inline

void Tp::ChannelFactory::setConstructorForIncomingStreamTubes | ( | const ConstructorConstPtr & | ctor,
|  | const QVariantMap & | additionalProps = `QVariantMap()`
| ) |  |

Features Tp::ChannelFactory::featuresForOutgoingRoomStreamTubes | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) | const

void Tp::ChannelFactory::addFeaturesForOutgoingRoomStreamTubes | ( | const Features & | features,
|  | const QVariantMap & | additionalProps = `QVariantMap()`
| ) |  |

ChannelFactory::ConstructorConstPtr Tp::ChannelFactory::constructorForOutgoingRoomStreamTubes | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) | const

template<typename Subclass >

void Tp::ChannelFactory::setSubclassForOutgoingRoomStreamTubes | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) |

inline

void Tp::ChannelFactory::setConstructorForOutgoingRoomStreamTubes | ( | const ConstructorConstPtr & | ctor,
|  | const QVariantMap & | additionalProps = `QVariantMap()`
| ) |  |

Features Tp::ChannelFactory::featuresForIncomingRoomStreamTubes | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) | const

void Tp::ChannelFactory::addFeaturesForIncomingRoomStreamTubes | ( | const Features & | features,
|  | const QVariantMap & | additionalProps = `QVariantMap()`
| ) |  |

ChannelFactory::ConstructorConstPtr Tp::ChannelFactory::constructorForIncomingRoomStreamTubes | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) | const

template<typename Subclass >

void Tp::ChannelFactory::setSubclassForIncomingRoomStreamTubes | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) |

inline

void Tp::ChannelFactory::setConstructorForIncomingRoomStreamTubes | ( | const ConstructorConstPtr & | ctor,
|  | const QVariantMap & | additionalProps = `QVariantMap()`
| ) |  |

Features Tp::ChannelFactory::featuresForOutgoingDBusTubes | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) | const

void Tp::ChannelFactory::addFeaturesForOutgoingDBusTubes | ( | const Features & | features,
|  | const QVariantMap & | additionalProps = `QVariantMap()`
| ) |  |

ChannelFactory::ConstructorConstPtr Tp::ChannelFactory::constructorForOutgoingDBusTubes | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) | const

template<typename Subclass >

void Tp::ChannelFactory::setSubclassForOutgoingDBusTubes | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) |

inline

void Tp::ChannelFactory::setConstructorForOutgoingDBusTubes | ( | const ConstructorConstPtr & | ctor,
|  | const QVariantMap & | additionalProps = `QVariantMap()`
| ) |  |

Features Tp::ChannelFactory::featuresForIncomingDBusTubes | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) | const

void Tp::ChannelFactory::addFeaturesForIncomingDBusTubes | ( | const Features & | features,
|  | const QVariantMap & | additionalProps = `QVariantMap()`
| ) |  |

ChannelFactory::ConstructorConstPtr Tp::ChannelFactory::constructorForIncomingDBusTubes | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) | const

template<typename Subclass >

void Tp::ChannelFactory::setSubclassForIncomingDBusTubes | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) |

inline

void Tp::ChannelFactory::setConstructorForIncomingDBusTubes | ( | const ConstructorConstPtr & | ctor,
|  | const QVariantMap & | additionalProps = `QVariantMap()`
| ) |  |

Features Tp::ChannelFactory::featuresForOutgoingRoomDBusTubes | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) | const

void Tp::ChannelFactory::addFeaturesForOutgoingRoomDBusTubes | ( | const Features & | features,
|  | const QVariantMap & | additionalProps = `QVariantMap()`
| ) |  |

ChannelFactory::ConstructorConstPtr Tp::ChannelFactory::constructorForOutgoingRoomDBusTubes | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) | const

template<typename Subclass >

void Tp::ChannelFactory::setSubclassForOutgoingRoomDBusTubes | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) |

inline

void Tp::ChannelFactory::setConstructorForOutgoingRoomDBusTubes | ( | const ConstructorConstPtr & | ctor,
|  | const QVariantMap & | additionalProps = `QVariantMap()`
| ) |  |

Features Tp::ChannelFactory::featuresForIncomingRoomDBusTubes | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) | const

void Tp::ChannelFactory::addFeaturesForIncomingRoomDBusTubes | ( | const Features & | features,
|  | const QVariantMap & | additionalProps = `QVariantMap()`
| ) |  |

ChannelFactory::ConstructorConstPtr Tp::ChannelFactory::constructorForIncomingRoomDBusTubes | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) | const

template<typename Subclass >

void Tp::ChannelFactory::setSubclassForIncomingRoomDBusTubes | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) |

inline

void Tp::ChannelFactory::setConstructorForIncomingRoomDBusTubes | ( | const ConstructorConstPtr & | ctor,
|  | const QVariantMap & | additionalProps = `QVariantMap()`
| ) |  |

Features Tp::ChannelFactory::featuresForContactSearches | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) | const

void Tp::ChannelFactory::addFeaturesForContactSearches | ( | const Features & | features,
|  | const QVariantMap & | additionalProps = `QVariantMap()`
| ) |  |

ChannelFactory::ConstructorConstPtr Tp::ChannelFactory::constructorForContactSearches | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) | const

template<typename Subclass >

void Tp::ChannelFactory::setSubclassForContactSearches | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) |

inline

void Tp::ChannelFactory::setConstructorForContactSearches | ( | const ConstructorConstPtr & | ctor,
|  | const QVariantMap & | additionalProps = `QVariantMap()`
| ) |  |

Features Tp::ChannelFactory::featuresForServerAuthentication | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) | const

void Tp::ChannelFactory::addFeaturesForServerAuthentication | ( | const Features & | features,
|  | const QVariantMap & | additionalProps = `QVariantMap()`
| ) |  |

ChannelFactory::ConstructorConstPtr Tp::ChannelFactory::constructorForServerAuthentication | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) | const

template<typename Subclass >

void Tp::ChannelFactory::setSubclassForServerAuthentication | ( | const QVariantMap & | additionalProps = `QVariantMap()` | ) |

inline

void Tp::ChannelFactory::setConstructorForServerAuthentication | ( | const ConstructorConstPtr & | ctor,
|  | const QVariantMap & | additionalProps = `QVariantMap()`
| ) |  |

Features Tp::ChannelFactory::commonFeatures | ( |  | ) | const

void Tp::ChannelFactory::addCommonFeatures | ( | const Features & | features | ) |

ChannelFactory::ConstructorConstPtr Tp::ChannelFactory::fallbackConstructor | ( |  | ) | const

template<typename Subclass >

void Tp::ChannelFactory::setFallbackSubclass | ( |  | ) |

inline

void Tp::ChannelFactory::setFallbackConstructor | ( | const ConstructorConstPtr & | ctor | ) |

Features Tp::ChannelFactory::featuresFor | ( | const ChannelClassSpec & | channelClass | ) | const

void Tp::ChannelFactory::addFeaturesFor | ( | const ChannelClassSpec & | channelClass,
|  | const Features & | features
| ) |  |

template<typename Subclass >

void Tp::ChannelFactory::setSubclassFor | ( | const ChannelClassSpec & | channelClass | ) |

inline

ChannelFactory::ConstructorConstPtr Tp::ChannelFactory::constructorFor | ( | const ChannelClassSpec & | channelClass | ) | const

void Tp::ChannelFactory::setConstructorFor | ( | const ChannelClassSpec & | channelClass,
|  | const ConstructorConstPtr & | ctor
| ) |  |

PendingReady * Tp::ChannelFactory::proxy | ( | const ConnectionPtr & | connection,
|  | const QString & | channelPath,
|  | const QVariantMap & | immutableProperties
| ) |  | const

Constructs a Channel proxy and begins making it ready.

If a valid proxy already exists in the factory cache for the given combination of busName and objectPath, it is returned instead. All newly created proxies are automatically cached until they're either DBusProxy::invalidated() or the last reference to them outside the factory has been dropped.

The proxy can be accessed immediately after this function returns using PendingReady::proxy().

Parameters

  connection | Proxy for the owning connection of the channel.
  channelPath | The object path of the channel.
  immutableProperties | The immutable properties of the channel.

Returns
  A PendingReady operation with the proxy in PendingReady::proxy().

QString Tp::ChannelFactory::finalBusNameFrom | ( | const QString & | uniqueOrWellKnown | ) | const

protected virtual

Transforms well-known names to the corresponding unique names, as is appropriate for Channel

Parameters

  uniqueOrWellKnown | The name to transform.

Returns
  The unique name corresponding to uniqueOrWellKnown (which may be it itself).

Implements Tp::DBusProxyFactory.

Features Tp::ChannelFactory::featuresFor | ( | const DBusProxyPtr & | proxy | ) | const

protected virtual

Return features as configured for the channel class given by the Channel::immutableProperties() of proxy.

Parameters

  proxy | The Channel proxy to determine the features for.

Returns
  A list of Feature objects.

Implements Tp::DBusProxyFactory.